recipe_sha: 8297d05d8f902eb6252113602e21ef80ba85c6779868ea8461f0c2e3d47f37a1  # The commit at which this recipe failed to build.
skiplist: true # Set to true to skiplist this recipe so that it will be ignored as long as its latest commit is the one given above.
log: |2-
      zstd:               1.5.2-hbc0c0cd_6          conda-forge

  Preparing transaction: ...working... done
  Verifying transaction: ...working... done
  Executing transaction: ...working... done
  Source cache directory is: /opt/mambaforge/envs/bioconda/conda-bld/src_cache
  INFO:conda_build.source:Source cache directory is: /opt/mambaforge/envs/bioconda/conda-bld/src_cache
  Downloading source to cache: GlimmerHMM-3.0.4_af3626a5ec.tar.gz
  Downloading https://ccb.jhu.edu/software/glimmerhmm/dl/GlimmerHMM-3.0.4.tar.gz
  INFO:conda_build.source:Downloading source to cache: GlimmerHMM-3.0.4_af3626a5ec.tar.gz
  INFO:conda_build.source:Downloading https://ccb.jhu.edu/software/glimmerhmm/dl/GlimmerHMM-3.0.4.tar.gz
  DEBUG:urllib3.util.retry:Incremented Retry for (url='/software/glimmerhmm/dl/GlimmerHMM-3.0.4.tar.gz'): Retry(total=2, connect=None, read=None, redirect=None, status=None)
  WARNING:urllib3.connectionpool:Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError(SSLError(1, '[SSL: WRONG_SIGNATURE_TYPE] wrong signature type (_ssl.c:1131)'))': /software/glimmerhmm/dl/GlimmerHMM-3.0.4.tar.gz
  DEBUG:urllib3.util.retry:Incremented Retry for (url='/software/glimmerhmm/dl/GlimmerHMM-3.0.4.tar.gz'): Retry(total=1, connect=None, read=None, redirect=None, status=None)
  WARNING:urllib3.connectionpool:Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError(SSLError(1, '[SSL: WRONG_SIGNATURE_TYPE] wrong signature type (_ssl.c:1131)'))': /software/glimmerhmm/dl/GlimmerHMM-3.0.4.tar.gz
  DEBUG:urllib3.util.retry:Incremented Retry for (url='/software/glimmerhmm/dl/GlimmerHMM-3.0.4.tar.gz'): Retry(total=0, connect=None, read=None, redirect=None, status=None)
  WARNING:urllib3.connectionpool:Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError(SSLError(1, '[SSL: WRONG_SIGNATURE_TYPE] wrong signature type (_ssl.c:1131)'))': /software/glimmerhmm/dl/GlimmerHMM-3.0.4.tar.gz
  Traceback (most recent call last):
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/urllib3/connectionpool.py", line 670, in urlopen
      httplib_response = self._make_request(
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/urllib3/connectionpool.py", line 381, in _make_request
      self._validate_conn(conn)
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/urllib3/connectionpool.py", line 978, in _validate_conn
      conn.connect()
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/urllib3/connection.py", line 362, in connect
      self.sock = ssl_wrap_socket(
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/urllib3/util/ssl_.py", line 386, in ssl_wrap_socket
      return context.wrap_socket(sock, server_hostname=server_hostname)
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/ssl.py", line 500, in wrap_socket
      return self.sslsocket_class._create(
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/ssl.py", line 1040, in _create
      self.do_handshake()
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/ssl.py", line 1309, in do_handshake
      self._sslobj.do_handshake()
  ssl.SSLError: [SSL: WRONG_SIGNATURE_TYPE] wrong signature type (_ssl.c:1131)

  During handling of the above exception, another exception occurred:

  Traceback (most recent call last):
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/requests/adapters.py", line 439, in send
      resp = conn.urlopen(
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/urllib3/connectionpool.py", line 754, in urlopen
      return self.urlopen(
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/urllib3/connectionpool.py", line 754, in urlopen
      return self.urlopen(
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/urllib3/connectionpool.py", line 754, in urlopen
      return self.urlopen(
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/urllib3/connectionpool.py", line 726, in urlopen
      retries = retries.increment(
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/urllib3/util/retry.py", line 446, in increment
      raise MaxRetryError(_pool, url, error or ResponseError(cause))
  urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='ccb.jhu.edu', port=443): Max retries exceeded with url: /software/glimmerhmm/dl/GlimmerHMM-3.0.4.tar.gz (Caused by SSLError(SSLError(1, '[SSL: WRONG_SIGNATURE_TYPE] wrong signature type (_ssl.c:1131)')))

  During handling of the above exception, another exception occurred:

  Traceback (most recent call last):
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/conda/gateways/connection/download.py", line 48, in download
      resp = session.get(url, stream=True, proxies=session.proxies, timeout=timeout)
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/requests/sessions.py", line 546, in get
      return self.request('GET', url, **kwargs)
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/requests/sessions.py", line 533, in request
      resp = self.send(prep, **send_kwargs)
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/requests/sessions.py", line 646, in send
      r = adapter.send(request, **kwargs)
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/requests/adapters.py", line 514, in send
      raise SSLError(e, request=request)
  requests.exceptions.SSLError: HTTPSConnectionPool(host='ccb.jhu.edu', port=443): Max retries exceeded with url: /software/glimmerhmm/dl/GlimmerHMM-3.0.4.tar.gz (Caused by SSLError(SSLError(1, '[SSL: WRONG_SIGNATURE_TYPE] wrong signature type (_ssl.c:1131)')))

  During handling of the above exception, another exception occurred:

  Traceback (most recent call last):
    File "/opt/mambaforge/envs/bioconda/bin/conda-mambabuild", line 10, in <module>
      sys.exit(main())
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/boa/cli/mambabuild.py", line 256, in main
      call_conda_build(action, config)
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/boa/cli/mambabuild.py", line 228, in call_conda_build
      result = api.build(
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/conda_build/api.py", line 180, in build
      return build_tree(
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/conda_build/build.py", line 3078, in build_tree
      packages_from_this = build(metadata, stats,
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/conda_build/build.py", line 2125, in build
      try_download(m, no_download_source=False, raise_error=True)
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/conda_build/render.py", line 650, in try_download
      source.provide(metadata)
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/conda_build/source.py", line 871, in provide
      unpack(source_dict, src_dir, metadata.config.src_cache, recipe_path=metadata.path,
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/conda_build/source.py", line 146, in unpack
      src_path, unhashed_fn = download_to_cache(cache_folder, recipe_path, source_dict, verbose)
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/conda_build/source.py", line 89, in download_to_cache
      download(url, path)
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/conda/exports.py", line 374, in download
      return _download(url, dst_path, md5=md5sum, sha256=sha256, size=size)
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/conda/common/io.py", line 84, in decorated
      return f(*args, **kwds)
    File "/opt/mambaforge/envs/bioconda/lib/python3.8/site-packages/conda/gateways/connection/download.py", line 152, in download
      raise CondaSSLError(
  conda.exceptions.CondaSSLError: Encountered an SSL error. Most likely a certificate verification issue.

  Exception: HTTPSConnectionPool(host='ccb.jhu.edu', port=443): Max retries exceeded with url: /software/glimmerhmm/dl/GlimmerHMM-3.0.4.tar.gz (Caused by SSLError(SSLError(1, '[SSL: WRONG_SIGNATURE_TYPE] wrong signature type (_ssl.c:1131)')))
# Last 100 lines of the build log.
